Bug 102521 - info page without info dir entry
info page without info dir entry
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gdb (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-16 10:00 EDT by Michael Redinger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 09:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2003-08-16 10:00:26 EDT
The info file /usr/share/info/annotate.info.gz does not contain a
INFO-DIR-SECTION. When updating to the latest version, I got the following error:

install-info: warning: no info dir entry in `/usr/share/info/annotate.info.gz'

(Hm, somehow this must have screwed up the %post scriptlet execution. I ended up
with both the old and the new gdb installed: gdb-5.3.90-0.20030710.13 and
gdb-5.3.90-0.20030710.14 . However, looking at the %post section in the spec
file, I cannot see how this should have happened; I also did not get any message
that the scriptlet exit status was different from 0.)
Comment 1 Elena Zannoni 2003-08-19 09:22:09 EDT
I added a patch for this to a new rpm. gdb/doc/annotate.texinfo was missing the
START-INFO-DIR-ENTRY/END-INFO-DIR-ENTRY pair.
This should be fixed in gdb-5.3.90-0.20030710.17.

Comment 2 John Flanagan 2004-01-08 13:35:12 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-346.html

Note You need to log in before you can comment on or make changes to this bug.